<?php

namespace Drupal\open_ai_metadata\Controllers;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Url;
use Drupal\Core\Link;

/**
 * Configuration Page.
 */
class MetadataSettingsController extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  public function metadataSettingsPage() {
    $pageData = [];
    $routeContentType = Url::fromRoute('open_ai_metadata.content_settings');
    $routeApiSettings = Url::fromRoute('open_ai_metadata.api_settings');

    $markup = '';
    $markup .= '<hr />';
    $markup .= '<h4>' . $this->t('@link', ['@link' => $this->makeUrlString('Metadata Content Type', $routeContentType)]) . '</h4>';
    $markup .= '<h4>' . $this->t('@link', ['@link' => $this->makeUrlString('Metadata API Settings', $routeApiSettings)]) . '</h4>';
    $pageData = ['#type' => 'markup', '#markup' => $markup];

    return $pageData;
  }

  /**
   * Function to convert URL to string.
   */
  protected function makeUrlString($title, $url) {
    $translatedTitle = $this->t($title);
    return Link::fromTextAndUrl($translatedTitle, $url)->toString();
  }

}
